<?php
// Popular Posts Options.
$wp_customize->add_section(
    'home_page_popular_post_options',
    array(
        'title' => __('Popular Section', 'newsmass'),
        'panel' => 'front_page_theme_options_panel',
    )
);
$wp_customize->add_setting(
    'newsmass_options[enable_popular_posts]',
    array(
        'default' => $newsmass_default['enable_popular_posts'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_popular_posts]',
    array(
        'label' => __('Enable Popular', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmass_options[enable_popular_label]',
    array(
        'default' => $newsmass_default['enable_popular_label'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_popular_label]',
    array(
        'label' => __('Enable Popular Label', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
// Popular Posts Category.
$wp_customize->add_setting(
    'newsmass_options[popular_post_cat]',
    array(
        'default' => $newsmass_default['popular_post_cat'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Newsmass_Dropdown_Taxonomies_Control(
        $wp_customize,
        'newsmass_options[popular_post_cat]',
        array(
            'label' => __('Choose Popular posts category', 'newsmass'),
            'section' => 'home_page_popular_post_options',
        )
    )
);
// No of posts.
$wp_customize->add_setting(
    'newsmass_options[no_of_popular_posts]',
    array(
        'default' => $newsmass_default['no_of_popular_posts'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmass_options[no_of_popular_posts]',
    array(
        'label' => __('Number of Posts', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);
// Posts Orderby.
$wp_customize->add_setting(
    'newsmass_options[popular_post_orderby]',
    array(
        'default' => $newsmass_default['popular_post_orderby'],
        'sanitize_callback' => 'newsmass_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmass_options[popular_post_orderby]',
    array(
        'label' => __('Orderby', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => array(
            'date' => __('Date', 'newsmass'),
            'id' => __('ID', 'newsmass'),
            'title' => __('Title', 'newsmass'),
            'rand' => __('Random', 'newsmass'),
        ),
    )
);
// Posts Order.
$wp_customize->add_setting(
    'newsmass_options[popular_post_order]',
    array(
        'default' => $newsmass_default['popular_post_order'],
        'sanitize_callback' => 'newsmass_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmass_options[popular_post_order]',
    array(
        'label' => __('Order', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => array(
            'asc' => __('ASC', 'newsmass'),
            'desc' => __('DESC', 'newsmass'),
        ),
    )
);
$wp_customize->add_setting(
    'newsmass_options[enable_popular_post_author_meta]',
    array(
        'default' => $newsmass_default['enable_popular_post_author_meta'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_popular_post_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmass_options[select_popular_post_author_meta]',
    array(
        'default' => $newsmass_default['select_popular_post_author_meta'],
        'sanitize_callback' => 'newsmass_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmass_options[select_popular_post_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => newsmass_author_meta(),
    )
);
$wp_customize->add_setting(
    'newsmass_options[popular_post_author_meta_title]',
    array(
        'default' => $newsmass_default['popular_post_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmass_options[popular_post_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmass_options[enable_popular_post_date_meta]',
    array(
        'default' => $newsmass_default['enable_popular_post_date_meta'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_popular_post_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmass_options[select_popular_post_date]',
    array(
        'default' => $newsmass_default['select_popular_post_date'],
        'sanitize_callback' => 'newsmass_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmass_options[select_popular_post_date]',
    array(
        'label' => esc_html__('Select Single Date Meta', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => newsmass_date_meta(),
    )
);
$wp_customize->add_setting(
    'newsmass_options[select_popular_post_date_meta_title]',
    array(
        'default' => $newsmass_default['select_popular_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmass_options[select_popular_post_date_meta_title]',
    array(
        'label' => __('Date Text', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmass_options[select_popular_post_date_format]',
    array(
        'default' => $newsmass_default['select_popular_post_date_format'],
        'sanitize_callback' => 'newsmass_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmass_options[select_popular_post_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => newsmass_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'newsmass_options[enable_popular_post_category_meta]',
    array(
        'default' => $newsmass_default['enable_popular_post_category_meta'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_popular_post_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmass_options[select_popular_post_number_of_category]',
    array(
        'default' => $newsmass_default['select_popular_post_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmass_options[select_popular_post_number_of_category]',
    array(
        'label' => __('Number of Category', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'newsmass_options[popular_post_category_label]',
    array(
        'default' => $newsmass_default['popular_post_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmass_options[popular_post_category_label]',
    array(
        'label' => __('Category Label', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'newsmass_options[select_popular_post_category_color]',
    array(
        'default' => $newsmass_default['select_popular_post_category_color'],
        'sanitize_callback' => 'newsmass_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmass_options[select_popular_post_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => newsmass_category_color(),
    )
);
$wp_customize->add_setting(
    'newsmass_options[popular_post_column]',
    array(
        'default' => $newsmass_default['popular_post_column'],
        'sanitize_callback' => 'newsmass_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmass_options[popular_post_column]',
    array(
        'label' => __('Popular Post Column', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'select',
        'choices' => array(
            '2' => __('2', 'newsmass'),
            '3' => __('3', 'newsmass'),
            '4' => __('4', 'newsmass'),
            '5' => __('5', 'newsmass'),
        ),
        'active_callback' => 'newsmass_is_popular_post_enabled',
    )
);
// Enable  Autoplay.
$wp_customize->add_setting(
    'newsmass_options[enable_popular_post_autoplay]',
    array(
        'default' => $newsmass_default['enable_popular_post_autoplay'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_popular_post_autoplay]',
    array(
        'label' => __('Enable Autoplay', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'newsmass_is_popular_post_enabled',
    )
);
$wp_customize->add_setting(
    'newsmass_options[enable_popular_post_arrows]',
    array(
        'default' => $newsmass_default['enable_popular_post_arrows'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_popular_post_arrows]',
    array(
        'label' => __('Enable Arrows', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'newsmass_is_popular_post_enabled',
    )
);
$wp_customize->add_setting(
    'newsmass_options[enable_popular_post_dots]',
    array(
        'default' => $newsmass_default['enable_popular_post_dots'],
        'sanitize_callback' => 'newsmass_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmass_options[enable_popular_post_dots]',
    array(
        'label' => __('Enable Dots', 'newsmass'),
        'section' => 'home_page_popular_post_options',
        'type' => 'checkbox',
        'active_callback' => 'newsmass_is_popular_post_enabled',
    )
);
